### Method

# Gtk TreePathto_string

deprecated: 4.10

#### Declaration [src]

    char*
    gtk_tree_path_to_string (
      GtkTreePath* path
    )

#### Description [src]

Generates a string representation of the path.

This string is a “:” separated list of numbers. For example, “4:10:0:3” would be an acceptable return value for this string. If the path has depth 0, `NULL` is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Return value

Type: `char*`

A newly-allocated string.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.